<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="kr.co.hsnc.common.sql.*" %>
<%@ page import="kr.co.hsnc.common.util.*"%>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
	ctx.init(request, response);
	HandlerStorage storage = ctx.getHandlerStorage();
	ValueObject params = storage.getParams();
	
	String errMsg = ctx.get("errMsg");
	String errDetailMsg = ctx.get("errDetailMsg");
	String userAgent = request.getHeader("User-Agent");
	

	
	errMsg = Translator.translate("iso-8859-1", "UTF-8",ctx.get("errMsg"));
	errDetailMsg = Translator.translate("iso-8859-1", "UTF-8",ctx.get("errDetailMsg"));
		

%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>:::에러사항:::</title>
<!-- <link href="css/style.css" rel="stylesheet" type="text/css" />
<link href="css/popup_style.css" rel="stylesheet" type="text/css" /> -->

<style>
#title_alert{margin-left:0;width:auto;  }
#title_alert ul{ margin:0; padding:0; display: inline-block;  width:100%;}
#title_alert ul li{ display:inline;list-style:none; float:left; padding-left:22px; }
.icon_x_02{width:100%; position:absolute;top:20px; text-align:right}

/* alert */
.a_box{border:3px solid #336699; background-image:url(/img/lib/dialog/alert_title_bg.gif); background-repeat:repeat-x;  background-color:#ebf1f1}
.a_cont { padding-top:20px;padding-bottom:25px; width:90%;}
.a_detail { padding-top:0px; width:90%;}

/*alert_ table */
.tb2 {width:100%; border-top:1px solid #bab8b9; border-bottom:1px solid #bab8b9; background-color:#fbfcfc;}
.tb2 td {background:#fbfcfc; color:#2b4a78;font-size:12px; line-height:30px; text-align:left}


#detail_message{backgorund-color:#ffffff;border:1px;}
</style>
<script language="javascript" src="/js/common.js"></script>
<script language="javascript">

	var resultObj = window.dialogArguments;
	
	//초기화
	function doInit() {
		var detailMessage = "<b>RESULT OBJECT</b> \n"
		                  + "<%=errMsg%>" + "\n\n"
		                  + "<b>DETAIL MESSAGE</b> \n"
		                  + "<%=errDetailMsg%>";
		document.getElementById("error_message").innerHTML = toHTML("<%=errMsg%>");
		document.getElementById("detail_message").innerHTML = toHTML(detailMessage);
	}

	//상세내역 메세지 보이기 토글
	function toggleDetail(imgObj) {
		
		var detailPane = document.getElementById("errorDetail");
		var iframe = parent.document.getElementById("_dlgError_iframe");
		
		if ( detailPane.style.display == "none" ) {
			imgObj.src = "/img/buyer/btn/error_detail_minus.gif";
			detailPane.style.display = "block";
			
			iframe.style.height		= (parseInt('372',10)+30)+"px";
			
			//window.dialogHeight = "500px";
		}
		else {
			detailPane.style.display = "none";
		    imgObj.src = "/img/buyer/btn/error_detail_plus.gif";
		    iframe.style.height		= (parseInt('195',10)+30)+"px";
			//window.dialogHeight = "325px";
		}
	}

	//HTML로 변환
	function toHTML(pstr) {
		var str = pstr;
		str = replaceStr(pstr, "\n", "<br>");
		str = replaceStr(pstr, "\n", "<br>");
		return str;
	}

	//창닫기
	function doClose() {
		parent.fLayerPopClose('_dlgError');
	}

	//메세지복사
	function doCopy() {
		document.getElementById("copy_temp").value = document.getElementById("detail_message").innerHTML;
		//document.all.copy_temp.value = document.all.detail_message.innerText;
		var txtRange = document.getElementById("copy_temp").createTextRange();
	    txtRange.select();
    	txtRange.execCommand("Copy");
		//window.clipboardData.setData('Text', document.all.detail_message.innerText);
		//alert("상세내역 메세지가 복사되었습니다.");
	}

	//인쇄
	function doPrint() {
		window.print();
	}

	//document.body.onload = doInit;

</script>
</head>
<body onload="doInit();" style="padding:0; margin:0px;">
 <div class="icon_x_02"><a onClick="javascript:doClose();"><img src="/img/lib/dialog/icon_alert_x.png" hspace="20" style="cursor:pointer" /></a></div>
 <div class="a_box" align="center">
     
 <!--타이틀-->
   <div align="left" id="title_alert">
    <ul>
     <li><img src="/img/lib/dialog/title_alert_error.png" alt="alert" /></li>
    </ul>  
  </div>   
<!--타이틀 끝-->

   <div class="a_cont" >
		<!--컨텐츠 내용 삽입-->
       <table class="tb2" cellspacing="0">
		   <tr>
	         <td width="101"><img src="/img/lib/dialog/icon_01.gif" /></td>
			 <td width="*"><div id="error_message">Error Message</div></td>
	      </tr>
	 </table>
        <!--컨텐츠 내용 끝-->		
<!--       <div class="btn_close p_close " >
      	<a onClick="javascript:toggleDetail(document.all.detail_toggle);"><img id="detail_toggle" src="/img/buyer/btn/error_detail_plus.gif" alt="상세내역보기" align="left" style="cursor:pointer" /></a>&nbsp;
      	<a onClick="javascript:doCopy();"><img src="/img/lib/dialog/btn_detail_copy.gif" alt="상세내역복사" style="cursor:pointer" /></a>&nbsp;
      	<a onClick="javascript:doPrint();"><img src="/img/lib/dialog/btn_print.gif" alt="인쇄" style="cursor:pointer" /></a>&nbsp;
      </div> -->
   </div>
   <div class="a_detail" >
	   <table id="errorDetail" class="tb2"   style="display:none">
	   <tr>
	   		<td width="430px">
	   			<div id="detail_message" style="width:430px; height:165px;overflow-x:auto;overflow-y:auto; curser:pointer;font-size:12px; text-align:left; background-color: #ffffff"></div>
	   		</td>
	   </tr>
	   </table>
   </div>
</div>
<textarea id="copy_temp" name="copy_temp" style="display:none;"></textarea>
</body>
</html>
